package com.kingdee.eas.custom.notify;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.eas.framework.CoreBillBase;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.eas.custom.notify.app.*;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class NotifyTodo extends CoreBillBase implements INotifyTodo
{
    public NotifyTodo()
    {
        super();
        registerInterface(INotifyTodo.class, this);
    }
    public NotifyTodo(Context ctx)
    {
        super(ctx);
        registerInterface(INotifyTodo.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("C5094189");
    }
    private NotifyTodoController getController() throws BOSException
    {
        return (NotifyTodoController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public NotifyTodoCollection getNotifyTodoCollection() throws BOSException
    {
        try {
            return getController().getNotifyTodoCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public NotifyTodoCollection getNotifyTodoCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getNotifyTodoCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public NotifyTodoCollection getNotifyTodoCollection(String oql) throws BOSException
    {
        try {
            return getController().getNotifyTodoCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public NotifyTodoInfo getNotifyTodoInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getNotifyTodoInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public NotifyTodoInfo getNotifyTodoInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getNotifyTodoInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public NotifyTodoInfo getNotifyTodoInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getNotifyTodoInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *更新待办-User defined method
     *@param content 参数体
     */
    public void updateTodo(UpdateContentInfo content) throws BOSException, EASBizException
    {
        try {
            getController().updateTodo(getContext(), content);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *发送待办-User defined method
     *@param content 参数体
     */
    public void sendTodo(SendContextInfo content) throws BOSException, EASBizException
    {
        try {
            getController().sendTodo(getContext(), content);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *置为已办-User defined method
     *@param content 参数体
     */
    public void setTodoDone(RemoveContextInfo content) throws BOSException, EASBizException
    {
        try {
            getController().setTodoDone(getContext(), content);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *删除待办-User defined method
     *@param content 参数体
     */
    public void deleteTodo(RemoveContextInfo content) throws BOSException, EASBizException
    {
        try {
            getController().deleteTodo(getContext(), content);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}